%global toolchain clang
Name:           outguess
Version:        0.2.2
Release:        1%{?dist}
Summary:        Stenography Tool

License:        Unknown
URL:            https://github.com/resurrecting-open-source-projects/outguess
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
%if "%{toolchain}" == "clang"
BuildRequires:  clang compiler-rt
%endif
%if "%{toolchain}" == "gcc"
BuildRequires: gcc
%endif
# Requires:


%description
OutGuess is a universal steganographic tool that allows the insertion of hidden
information into the redundant bits of data sources.  The nature of the data
source is irrelevant to the core of OutGuess. The program relies on data
specific handlers that will extract redundant bits and write them back after
modification.


%prep
%autosetup
ln -sr jpeg-6b-steg/jconfig.cfg jpeg-6b-steg/jconfig.h


%build
%configure
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%make_install install_prefix=%{?buildroot}


# %%check


%files
# %%license
%doc README STIRMARK-README ChangeLog
%doc %{_mandir}/man1/outguess.1*
%{_bindir}/outguess


%changelog
* Thu Apr 01 2021 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.2.2-1
- Initial package
